Name:                gtk2edit
Summary:             This is a simple text editor based on GTK+ 2.4
Version:             2.0.4
Release:             2
License:             GPLv2
Group:               Text Editor
URL:                 http://sourceforge.net/projects/gtk2edit/
Source0:             http://nchc.dl.sourceforge.net/sourceforge/gtk2edit/%{name}-%{version}.tar.gz
Patch0:              %{name}-%{version}-aix.patch

BuildRoot:           %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:       make
BuildRequires:       gtk2-devel >= 2.8.3
Requires:            gtk2 >= 2.8.3

%description
This is a simple text editor based on GTK+ 2.4 or above.
It is written in C. The main purpose of this project is to create a simple
to use Unicode XML/HTML editor. 


%prep
%setup -q
%patch0


%build
export CC=xlc_r
./configure \
    --prefix=%{_prefix}

gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr (-,root,system)
%{_bindir}/*
%{_sysconfdir}/*
%{_mandir}/man1/*
%{_datadir}/applications/*
%{_datadir}/locale/*/*/*
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*
/usr/bin/*


%changelog
* Wed Jul 14 2010 Michael Perzl <michael@perzl.org> - 2.0.4-2
- built against original AIX Linux Toolbox RPMs 

* Tue Dec 01 2009 Michael Perzl <michael@perzl.org> - 2.0.4-1
- first version for AIX V5.1 and higher
